package com.example.stupidgame

import android.os.Bundle
import android.util.Log
import android.widget.Button
import androidx.activity.ComponentActivity
import androidx.activity.compose.setContent
import androidx.activity.enableEdgeToEdge
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.padding
import androidx.compose.material3.Scaffold
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.tooling.preview.Preview
import androidx.core.view.KeyEventDispatcher.Component
import com.example.stupidgame.ui.theme.StupidGameTheme

class MainActivity : ComponentActivity() {

    var mTrueButton: Button? = null
    var mFalseButton:Button? = null
    var ACTIVITY = "MainActivity"

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        Log.d (ACTIVITY,"onCreate")
        setContentView(R.layout.activity_main)
        mTrueButton = findViewById(R.id.truebutton)
        mFalseButton = findViewById(R.id.falsebutton)

        val mQuestions = arrayOf (Question (R.string.question1,true),
                                  Question (R.string.question2,false),
                                  Question (R.string.question3,true),
                                  Question (R.string.question4,false),
                                  Question (R.string.question5,false),
    }

    override fun onStart() {
        super.onStart()
        Log.d (ACTIVITY,"onStart")
    }
    override fun onResume() {
        super.onResume()
        Log.d (ACTIVITY,"onResume")
    }
    override fun onPause() {
        super.onPause()
        Log.d (ACTIVITY,"onPause")
    }
    override fun onStop() {
        super.onStop()
        Log.d (ACTIVITY,"onStop")
    }
    override fun onDestroy() {
        super.onDestroy()
        Log.d (ACTIVITY,"onDestroy")
    }
    override fun onRestart() {
        super.onRestart()
        Log.d (ACTIVITY,"onRestart")
    }

}